Process status
curl --request GET \
--url https://admin.devmain.flowxai.dev/api/process/{PROCESS_INSTANCE_ID}/status \
--header 'Authorization: <authorization>'import requests
url = "https://admin.devmain.flowxai.dev/api/process/{PROCESS_INSTANCE_ID}/status"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://admin.devmain.flowxai.dev/api/process/{PROCESS_INSTANCE_ID}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Process status
GET
/
api
/
process
/
{PROCESS_INSTANCE_ID}
/
status
Process status
Processes can be started by making an API call. Certain parameters needed by the process can be sent on the request body.
Some special cases for stating process instances are:
- starting a process instance from another instance and inhering some data from the first one to the second
- a process can have multiple start nodes, in which case, a start condition must be set when making the start process call
This endpoint is only accessible via the admin environment. Ensure that you are using the correct admin base URL when making requests.
Authorization
string
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Path parameters
string
required
The name of the process definition to instantiate.
Last modified on August 5, 2026
โI

